Get resend job status
Get the status of a resend job
GET
/
webhooks
/
{webhookId}
/
notifications
/
resend_failed
/
jobs
/
{jobId}
TypeScript
const response: Promise<FireblocksResponse<ResendFailedNotificationsJobStatusResponse>> = fireblocks.webhooksV2.getResendJobStatus(webhooksV2ApiGetResendJobStatusRequest);CompletableFuture<ApiResponse<ResendFailedNotificationsJobStatusResponse>> response = fireblocks.webhooksV2().getResendJobStatus(webhookId, jobId);response = fireblocks.webhooks_v2.get_resend_job_status(webhook_id, job_id);curl --request GET \
--url https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/resend_failed/jobs/{jobId}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/resend_failed/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "123e4567-e89b-12d3-a456-426614174000",
"status": "COMPLETED",
"processed": 100,
"total": 1000
}{
"message": "<string>",
"code": 123
}Path Parameters
The ID of the webhook
The ID of the resend job
Response
Job status
Bulk resend job ID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Bulk resend job status
Available options:
QUEUED, IN_PROGRESS, COMPLETED, FAILED Example:
"COMPLETED"
Number of notifications processed
Example:
100
Total number of notifications to process
Example:
1000
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<ResendFailedNotificationsJobStatusResponse>> = fireblocks.webhooksV2.getResendJobStatus(webhooksV2ApiGetResendJobStatusRequest);CompletableFuture<ApiResponse<ResendFailedNotificationsJobStatusResponse>> response = fireblocks.webhooksV2().getResendJobStatus(webhookId, jobId);response = fireblocks.webhooks_v2.get_resend_job_status(webhook_id, job_id);